Subject: Re: bug#34290: [PATCH] checkdoc byte compile warnings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Feb 2019 18:06:22 +0200

> From: Alex Branham <[email-masked]>
> Date: Sat, 02 Feb 2019 09:47:45 -0600
> 
> The attached patch fixes the byte compiler warnings that checkdoc issues
> currently by declaring the functions for the byte compiler. It also
> removes some old XEmacs compatibility code.

Thanks.  Can you explain the purpose of requiring lisp-mnt inside a
function, as opposed to at the top level?  The latter would then
remove the need for using declare-function, I think.

AFAIU, declare-function is useful when the function in question is
auto-loaded, but we don't want to load its package unconditionally,
e.g. because that function is used only in a small part of the package
being compiled.  None of which seems to be the case here, or did I
miss something?